Issue a bank card
POST
/api/internal/v1/bank_cards
const url = 'https://core.example.com/api/internal/v1/bank_cards';const options = { method: 'POST', headers: {'app-token': '<app-token>', 'Content-Type': 'application/json'}, body: '{"merchant_private_key":"example","bank_account_id":1,"phone":"example","card_type":"virtual","holder_first_name":"example","holder_last_name":"example","country_code":"example","holder_phone":"example","bank_card_delivery_attributes":{"first_name":"example","last_name":"example","address_line":"example","address_line_2":"example","address_line_3":"example","address_line_4":"example","country_code":"example","zipcode":"example","city":"example","state":"example"}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://core.example.com/api/internal/v1/bank_cards \ --header 'Content-Type: application/json' \ --header 'app-token: <app-token>' \ --data '{ "merchant_private_key": "example", "bank_account_id": 1, "phone": "example", "card_type": "virtual", "holder_first_name": "example", "holder_last_name": "example", "country_code": "example", "holder_phone": "example", "bank_card_delivery_attributes": { "first_name": "example", "last_name": "example", "address_line": "example", "address_line_2": "example", "address_line_3": "example", "address_line_4": "example", "country_code": "example", "zipcode": "example", "city": "example", "state": "example" } }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
merchant_private_key
required
string
bank_account_id
required
integer
phone
string
card_type
required
string
holder_first_name
required
string
holder_last_name
required
string
country_code
string
holder_phone
string
bank_card_delivery_attributes
object
first_name
string
last_name
string
address_line
string
address_line_2
string
address_line_3
string
address_line_4
string
country_code
string
zipcode
string
city
string
state
string
Responses
Section titled “ Responses ”Card created or rejected by the provider
Authorization, validation, or business-rule error
Media typeapplication/json
object
success
required
boolean
status
required
integer
errors
required
One of:
Array<object>
object
code
string
kind
string
expiration
string
session
string
key
additional properties
any
object
key
additional properties
any
string
key
additional properties
any
Example
{ "success": false, "status": 403}